const Spinner = ({ size = 'md' }) => {
    const sizes = {
        sm: 'h-8 w-8 border-t-2 border-t-pink-600 border-b-2 border-b-sky-400',
        md: 'h-16 w-16 border-t-4 border-t-pink-600 border-b-4 border-b-sky-400',
        lg: 'h-24 w-24 border-t-4 border-t-pink-600 border-b-4 border-b-sky-400',
    };

    return (
        <div className={`animate-spin rounded-full ${sizes[size]}`}></div>
    );
};

export default Spinner;
